#include <iostream>

using namespace std;

int main()
{
    long int x1,x2,y1,y2;
    cin>>x1>>y1>>x2>>y2;

    if((y1==y2)||(x1==x2))
        cout<<2<<endl;

    if((x1!=x2)&&(y1!=y2))
        cout<<1<<endl;


    return 0;
}